package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"startoptions", "recurring"}
)
@XmlRootElement(
   name = "TIMER"
)
public class TIMER {
   @XmlAttribute(
      name = "TIMERTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String timertype;
   @XmlElement(
      name = "STARTOPTIONS"
   )
   protected STARTOPTIONS startoptions;
   @XmlElement(
      name = "RECURRING"
   )
   protected RECURRING recurring;

   public String getTIMERTYPE() {
      return this.timertype;
   }

   public void setTIMERTYPE(String value) {
      this.timertype = value;
   }

   public STARTOPTIONS getSTARTOPTIONS() {
      return this.startoptions;
   }

   public void setSTARTOPTIONS(STARTOPTIONS value) {
      this.startoptions = value;
   }

   public RECURRING getRECURRING() {
      return this.recurring;
   }

   public void setRECURRING(RECURRING value) {
      this.recurring = value;
   }
}
